package tfelem

import (
	"git.swzry.com/zry/YAGTF/yagtf/utils"
	"time"
)

type YearElement struct {
	ShortYear bool
}

func (this *YearElement) ExpectedSize() int {
	if this.ShortYear {
		return 2
	} else {
		return 4
	}
}

func (this *YearElement) PrintElement(t time.Time) string {
	if this.ShortYear {
		return utils.GetFilledNumberWithTruncate(t.Year(), 2)
	} else {
		return utils.GetFilledNumberWithTruncate(t.Year(), 4)
	}
}

func NewYearElement(useShortYear bool) *YearElement {
	return &YearElement{
		ShortYear: useShortYear,
	}
}
